Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1568080 - add yarn (at least v1.5.1) rpm for nodejs based openshift images
Summary: add yarn (at least v1.5.1) rpm for nodejs based openshift images
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Software Collections
Classification: Red Hat
Component: rh-nodejs8
Version: rh-nodejs8
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.2
Assignee: Zuzana Svetlikova
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-16 18:00 UTC by Gabe Montero
Modified: 2021-01-14 09:19 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-17 17:43:38 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Gabe Montero 2018-04-16 18:00:38 UTC
See discussion in https://github.com/openshift/jenkins/pull/545

Several upstream openshift jenkins users leveraging the nodejs8 agent image would like to use yarn instead of npm

Ultimately, the openshift/jenkins repo would yum install yarn in its nodejs8 image for users to then leverage when using that image for the nodejs builds.

Notions like making it available similarly to pipenv, i.e. when yarn needed, it could be installed first via npm, and then the yarn is used, were discussed but dismissed.

Comment 5 Gabe Montero 2018-08-17 17:43:38 UTC
With a recent email thread we've agreed to pick this up with when we craft the openshift jenkins nodejs v10 image (which will be rhaor based instead of rhscl based).


Note You need to log in before you can comment on or make changes to this bug.